import { ContractData, PaymentEntry, DepositData, ProposalData, WitnessData, ProgramData, CovenantData } from '../types/index.js';
export declare function parse_payments(payments: PaymentEntry[]): PaymentEntry[];
export declare function parse_contract(contract: unknown): ContractData;
export declare function parse_covenant(covenant: unknown): CovenantData;
export declare function parse_deposit(deposit: unknown): DepositData;
export declare function parse_program(terms: unknown[]): ProgramData;
export declare function parse_proposal(proposal: unknown): ProposalData;
export declare function parse_witness(witness: unknown): WitnessData;
